ssl_cookie.h File Reference

DTLS cookie callbacks implementation. More...

`#include "ssl.h"`
`#include "threading.h"`
Include dependency graph for ssl_cookie.h:

Go to the source code of this file.

## Data Structures

struct | mbedtls_ssl_cookie_ctx
| Context for the default cookie functions. More...

## Macros

SECTION: Module settings
The configuration options you can set for this module are in this section. Either change them in config.h or define them on the compiler command line.
#define | MBEDTLS_SSL_COOKIE_TIMEOUT 60
| Default expiration delay of DTLS cookies, in seconds if HAVE_TIME, or in number of cookies issued. More...

## Functions

void | mbedtls_ssl_cookie_init (mbedtls_ssl_cookie_ctx *ctx)
| Initialize cookie context. More...
int | mbedtls_ssl_cookie_setup (mbedtls_ssl_cookie_ctx *ctx, int(*f_rng)(void *, unsigned char *, size_t), void *p_rng)
| Setup cookie context (generate keys) More...
void | mbedtls_ssl_cookie_set_timeout (mbedtls_ssl_cookie_ctx *ctx, unsigned long delay)
| Set expiration delay for cookies (Default MBEDTLS_SSL_COOKIE_TIMEOUT) More...
void | mbedtls_ssl_cookie_free (mbedtls_ssl_cookie_ctx *ctx)
| Free cookie context. More...

## Variables

mbedtls_ssl_cookie_write_t | mbedtls_ssl_cookie_write
| Generate cookie, see `mbedtls_ssl_cookie_write_t`. More...
mbedtls_ssl_cookie_check_t | mbedtls_ssl_cookie_check
| Verify cookie, see `mbedtls_ssl_cookie_write_t`. More...

## Detailed Description

DTLS cookie callbacks implementation.

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file ssl_cookie.h.

## Macro Definition Documentation

#define MBEDTLS_SSL_COOKIE_TIMEOUT 60

Default expiration delay of DTLS cookies, in seconds if HAVE_TIME, or in number of cookies issued.

Definition at line 40 of file ssl_cookie.h.

## Function Documentation

void mbedtls_ssl_cookie_free | ( | mbedtls_ssl_cookie_ctx * | ctx | ) |

Free cookie context.

void mbedtls_ssl_cookie_init | ( | mbedtls_ssl_cookie_ctx * | ctx | ) |

Initialize cookie context.

void mbedtls_ssl_cookie_set_timeout | ( | mbedtls_ssl_cookie_ctx * | ctx,
|  | unsigned long | delay
| ) |  |

Set expiration delay for cookies (Default MBEDTLS_SSL_COOKIE_TIMEOUT)

Parameters

  ctx | Cookie contex
  delay | Delay, in seconds if HAVE_TIME, or in number of cookies issued in the meantime. 0 to disable expiration (NOT recommended)

int mbedtls_ssl_cookie_setup | ( | mbedtls_ssl_cookie_ctx * | ctx,
|  | int(*)(void *, unsigned char *, size_t) | f_rng,
|  | void * | p_rng
| ) |  |

Setup cookie context (generate keys)

## Variable Documentation

mbedtls_ssl_cookie_check_t mbedtls_ssl_cookie_check

Verify cookie, see `mbedtls_ssl_cookie_write_t`.

Definition at line 102 of file ssl_cookie.h.

mbedtls_ssl_cookie_write_t mbedtls_ssl_cookie_write

Generate cookie, see `mbedtls_ssl_cookie_write_t`.

Definition at line 97 of file ssl_cookie.h.